<template>
  <div id="app">
    <h1>
      TODO List 
    </h1>
    <hr>
      <div class="main">
        <Sidebar class="aside"/>
          <div class="pages">
            <router-view/>
          </div>
      </div>
  </div>
</template>

<script>
import Sidebar from '@/components/Sidebar'

export default {
  components: {
    Sidebar
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
.main {
  display: flex;
  align-items: top;
  justify-content: space-between;
}
.aside{
  width: 25%;
  border: 2px solid red;
}
.pages{
  width: 75%;
}
</style>
